Package org.eclipse.cdt.core.settings.model.util

# Class CExtensionUtil

java.lang.Object
org.eclipse.cdt.core.settings.model.util.CExtensionUtil

public class CExtensionUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`CExtensionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.core.runtime.IConfigurationElement`
`getFirstConfigurationElement(ICConfigExtensionReference ref, String name, boolean caseSensitive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CExtensionUtil

public CExtensionUtil()

## Method Details

### getFirstConfigurationElement

public static org.eclipse.core.runtime.IConfigurationElement getFirstConfigurationElement(ICConfigExtensionReference ref, String name, boolean caseSensitive) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`